Package: org.codehaus.groovy.transform.trait

## [Java] Annotation Type Traits.TraitBridge

- org.codehaus.groovy.transform.trait.Traits.TraitBridge

-     @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.METHOD)
      public @interface Traits.TraitBridge

  Internal annotation used to indicate that a method is a bridge method to a trait default implementation.

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `String` | `desc` Returns: The method descriptor of the method from the trait
    `Class<?>` | `traitClass` Returns: the trait class

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public String desc

      Returns:
        The method descriptor of the method from the trait

    - #### public Class<?> traitClass

      Returns:
        the trait class